5

I tried installing TexLive by downloading the install-tl-unx.tar.gz file from here and extracting it, then doing sudo perl install-tl and I added the following to /etc/profile:

  PATH=/usr/local/texlive/2014/bin/x86_64-linux:$PATH; export PATH
  MANPATH=/usr/local/texlive/2014/texmf-dist/doc/man:$MANPATH; export MANPATH
  INFOPATH=/usr/local/texlive/2014/texmf-dist/doc/info:$INFOPATH; export INFOPATH

Now, whenever I run a test command like latex small2e, it works fine. The problem is whenever I want to install a program(s), like for example

  sudo apt-get install wxmaxima

and I want to install it's "suggested" and "recommended" packages also, it says that it will install texlive and all of its dependent packages (tex-common, etc).

How can I get it to recognize that TeX is already installed?

EDIT 1: Output of apt-cache showpkg texlive-binaries:

    Package: texlive-binaries
Versions: 
2013.20130729.30972-2build3 (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_trusty_main_binary-amd64_Packages)
 Description Language: 
                 File: /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_trusty_main_binary-amd64_Packages
                  MD5: db16fecae335f49155c09b3c343347b1
 Description Language: en
                 File: /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_trusty_main_i18n_Translation-en
                  MD5: db16fecae335f49155c09b3c343347b1


Reverse Depends: 
  okular,texlive-binaries
  cantor,texlive-binaries
  active-documentviewer,texlive-binaries
  zlib1g:i386,texlive-binaries 2009-12
  texlive-binaries:i386,texlive-binaries
  libkpathsea6:i386,texlive-binaries 2013
  ptex-jtex,texlive-binaries 2011.20120410-1
  xmltex,texlive-binaries
  xdvik-ja,texlive-binaries 2011~
  texlive-xetex,texlive-binaries 2013.20130512
  texlive-science,texlive-binaries 2013.20130512
  texlive-omega,texlive-binaries 2013.20130512
  texlive-music,texlive-binaries 2013.20130512
  texlive-metapost,texlive-binaries 2013.20130512
  texlive-lang-polish,texlive-binaries 2013.20130512
  texlive-lang-indic,texlive-binaries 2013.20130512
  texlive-lang-greek,texlive-binaries 2013.20130512
  texlive-lang-czechslovak,texlive-binaries 2013.20130512
  texlive-lang-cyrillic,texlive-binaries 2013
  texlive-lang-cyrillic,texlive-binaries 2013.20130512
  texlive-lang-cjk,texlive-binaries 2013.20130512
  texlive-games,texlive-binaries 2013.20130512
  texlive-full,texlive-binaries 2013.20130512
  texlive-formats-extra,texlive-binaries 2013.20130512
  src2tex,texlive-binaries
  pybtex,texlive-binaries 2009-5~
  okular,texlive-binaries
  ocamlweb,texlive-binaries
  musixtex,texlive-binaries
  multex-base,texlive-binaries
  mc,texlive-binaries
  liblatex-driver-perl,texlive-binaries
  jtex-base,texlive-binaries
  jlatex209-base,texlive-binaries
  dvipsk-ja,texlive-binaries
  cxref-doc,texlive-binaries
  cxref,texlive-binaries
  context,texlive-binaries
  caspar,texlive-binaries
  cantor,texlive-binaries
  active-documentviewer,texlive-binaries
  zlib1g,texlive-binaries 2009-12
  texlive-pstricks,texlive-binaries 2013.20130512
  texlive-pictures,texlive-binaries 2013.20130512
  texlive-math-extra,texlive-binaries 2013.20130512
  texlive-luatex,texlive-binaries 2013.20130512
  texlive-latex-recommended,texlive-binaries 2013.20130512
  texlive-latex-extra,texlive-binaries 2013.20130512
  texlive-latex-base,texlive-binaries 2013.20130512
  texlive-font-utils,texlive-binaries 2013
  texlive-font-utils,texlive-binaries 2013.20130512
  texlive-extra-utils,texlive-binaries 2013.20130512
  texlive-bibtex-extra,texlive-binaries 2013.20130512
  texlive-base,texlive-binaries 2013
  texlive-base,texlive-binaries 2013.20130512
  texlive-base,texlive-binaries 2013.20130512
  libkpathsea6,texlive-binaries 2013
  okular,texlive-binaries
  cantor,texlive-binaries
  active-documentviewer,texlive-binaries
Dependencies: 
2013.20130729.30972-2build3 - libc6 (2 2.14) libcairo2 (2 1.12) libfontconfig1 (2 2.9.0) libfreetype6 (2 2.3.9) libgcc1 (2 1:4.1.1) libgraphite2-3 (2 1.2.2) libgs9 (2 8.61.dfsg.1) libharfbuzz0b (2 0.9.18-3) libicu52 (2 52~m1-1~) libkpathsea6 (0 (null)) libpng12-0 (2 1.2.13-4) libpoppler44 (2 0.24.5) libptexenc1 (0 (null)) libstdc++6 (2 4.6) libx11-6 (0 (null)) libxaw7 (0 (null)) libxmu6 (0 (null)) libxpm4 (0 (null)) libxt6 (0 (null)) zlib1g (2 1:1.1.4) tex-common (2 3) perl (0 (null)) dpkg (18 1.15.4) install-info (0 (null)) texlive-base (0 (null)) luatex (0 (null)) python (0 (null)) ruby (0 (null)) wish (0 (null)) jmpost (0 (null)) jmpost:i386 (0 (null)) makejvf (0 (null)) makejvf:i386 (0 (null)) mendexk (0 (null)) mendexk:i386 (0 (null)) jtex-bin (0 (null)) jtex-bin:i386 (0 (null)) multex-bin (0 (null)) multex-bin:i386 (0 (null)) texlive-base (3 2013) texlive-base:i386 (3 2013) jmpost (0 (null)) jmpost:i386 (0 (null)) mendexk (0 (null)) mendexk:i386 (0 (null)) ptex-bin (0 (null)) ptex-bin:i386 (0 (null)) texlive-base (3 2010) texlive-base:i386 (3 2010) texlive-metapost (3 2010) texlive-metapost:i386 (3 2010) texlive-binaries:i386 (0 (null)) 
Provides: 
2013.20130729.30972-2build3 - texlive-base-bin mendexk makejvf jmpost 
Reverse Provides: 
texlive-local 2015-1

Output of apt-cache showpkg texlive-local:

Package: texlive-local
Versions: 
2015-1 (/var/lib/dpkg/status)
 Description Language: 
                 File: /var/lib/dpkg/status
                  MD5: e297a3a40b6f90f4b600b4e10741a4b7


Reverse Depends: 
Dependencies: 
2015-1 - 
Provides: 
2015-1 - xmltex xindy-rules xindy tipa-doc tipa thailatex texlive-xetex texlive-science-doc texlive-science texlive-publishers-doc texlive-publishers texlive-pstricks-doc texlive-pstricks texlive-plain-extra texlive-pictures-doc texlive-pictures texlive-omega texlive-music texlive-metapost-doc texlive-metapost texlive-math-extra texlive-luatex texlive-latex-recommended-doc texlive-latex-recommended texlive-latex-extra-doc texlive-latex-extra texlive-latex-base-doc texlive-latex-base texlive-lang-spanish texlive-lang-portuguese texlive-lang-polish texlive-lang-other texlive-lang-korean texlive-lang-japanese texlive-lang-italian texlive-lang-indic texlive-lang-greek texlive-lang-german texlive-lang-french texlive-lang-european texlive-lang-english texlive-lang-czechslovak texlive-lang-cyrillic texlive-lang-cjk texlive-lang-chinese texlive-lang-arabic texlive-lang-all texlive-lang-african texlive-humanities-doc texlive-humanities texlive-generic-recommended texlive-generic-extra texlive-games texlive-formats-extra texlive-fonts-recommended-doc texlive-fonts-recommended texlive-fonts-extra-doc texlive-fonts-extra texlive-font-utils texlive-extra-utils texlive-common texlive-binaries texlive-bibtex-extra texlive-base texlive tex4ht-common tex4ht tex-gyre t1utils purifyeps psutils ps2eps prosper preview-latex-style pgf passivetex musixtex luatex lmodern lcdf-typetools latexmk latexdiff latex-xcolor latex-sanskrit latex-cjk-thai latex-cjk-korean latex-cjk-japanese-wadalab latex-cjk-japanese latex-cjk-common latex-cjk-chinese-arphic-gkai00mp latex-cjk-chinese-arphic-gbsn00lp latex-cjk-chinese-arphic-bsmi00lp latex-cjk-chinese-arphic-bkai00mp latex-cjk-chinese latex-cjk-all latex-beamer lacheck jadetex fragmaster feynmf dvipng dvidvi context cm-super-minimal cm-super chktex biblatex-dw biblatex 
Reverse Provides: 

EDIT 2: Output of sudo apt-get install wxmaxima gnuplot-doc texmacs xmaxima maxima-emacs wish maxima-share ttf-jsmath:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'tk' instead of 'wish'
The following extra packages will be installed:
  aglfn emacs24 emacs24-bin-common emacs24-common emacs24-common-non-dfsg
  emacsen-common fonts-jsmath gnuplot-x11 groff guile-1.8-libs libm17n-0
  libotf0 libptexenc1 libtcl8.6 libtk8.6 libwxbase2.8-0 libwxbase3.0-0
  libwxgtk2.8-0 libwxgtk3.0-0 m17n-contrib m17n-db maxima maxima-doc
  maxima-src maxima-test tcl tcl8.6 texlive-binaries texmacs-common tk8.6
Suggested packages:
  emacs24-el m17n-docs wish tcl-tclreadline
Recommended packages:
  netpbm ruby libjpeg-progs libjpeg-mmx-progs libtiff-tools ispell
  librsvg2-bin xfig libgnomeprintui2.2-0
The following NEW packages will be installed:
  aglfn emacs24 emacs24-bin-common emacs24-common emacs24-common-non-dfsg
  emacsen-common fonts-jsmath gnuplot-doc gnuplot-x11 groff guile-1.8-libs
  libm17n-0 libotf0 libptexenc1 libtcl8.6 libtk8.6 libwxbase2.8-0
  libwxbase3.0-0 libwxgtk2.8-0 libwxgtk3.0-0 m17n-contrib m17n-db maxima
  maxima-doc maxima-emacs maxima-share maxima-src maxima-test tcl tcl8.6
  texlive-binaries texmacs texmacs-common tk tk8.6 ttf-jsmath wxmaxima xmaxima
0 upgraded, 38 newly installed, 0 to remove and 0 not upgraded.
Need to get 78.5 MB of archives.
After this operation, 307 MB of additional disk space will be used.
Do you want to continue? [Y/n]
6

Well, your distribution has TeX Live packages, so you could use those:

sudo apt-get install texlive

If you don't want to do that, see https://www.tug.org/texlive/debian.html, specifically the section "Integrating vanilla TeX Live with Debian".

The issue is that since you installed TeX Live locally, the Debian package management system doesn't know TeX is installed, since you didn't install it using the Debian package system.

To work around this, the basic idea is to create dummy TeX Live Debian packages using the Debian equivs system (i.e. packages with no real software content), so that the package management system will be satisfied that the necessary Debian TeX packages have been installed. Or, to put another way, those dummy packages will act as a proxy for the TeX Live software you have installed locally. The specific kind of dummy package used here is virtual package. The relevant section is quoted in its entirety below.

To install vanilla TeX Live so that it replaces the Debian packages, perform the following steps:

Install vanilla TeX Live as root, system-wide. Ensure that the only Debian TeX Live packages installed are tex-common, texinfo, and perhaps lmodern Add TeX Live's bin directory to ENV_PATH in /etc/login.defs. Tell APT about your TeX Live installation by building a dummy package using equivs:

$ aptitude install equivs # as root
mkdir /tmp/tl-equivs && cd /tmp/tl-equivs
equivs-control texlive-local
# edit texlive-local (see below)
$ equivs-build texlive-local
$ sudo dpkg -i texlive-local_2015-1_all.deb

At the step "edit texlive-local", edit the Maintainer field and the list of the packages provided by your local TeX Live installation as appropriate. If you installed scheme-full except collection-texinfo as recommended, the file should look like the following example file for TL 2015. For older releases use one of the following examples files: for TL 2014, for TL 2013, for TL 2011.

  • This solution works except it still says that texlive-binaries still isn't installed for some reason (and I copied that TL 2015 file too which includes texlive-binaries in it)... Why is it doing that? – FearfulAnon Jun 13 '15 at 20:13
  • @FearfulAnon Can you post your edited texlive-local file? – Faheem Mitha Jun 14 '15 at 0:52
  • Also, let's have the output of apt-cache showpkg texlive-binaries and apt-cache showpkg texlive-local. – Faheem Mitha Jun 14 '15 at 0:59
  • The texlive-local file is the same as here: tug.org/texlive/files/debian-equivs-2015-ex.txt For the outputs, please see the edited answer. – FearfulAnon Jun 14 '15 at 6:43
  • @FearfulAnon Your output looks correct. Can you paste the command that produces that error. Include the complete error itself, of course. – Faheem Mitha Jun 14 '15 at 6:54

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.